#! /usr/bin/perl - W


use strict;
use fasta;


my @candidats=getFileData($ARGV[0]);
my @orthologs=getFileData($ARGV[1]);
#my @can_ortho;

open(UNCANDIDATS,">wVulC.core") or die "Cannot open file wVulC.core.";
open(CANDIDATS,">wVulC_sanscore.list") or die "Cannot open file wVulC_sanscore.list.";

foreach my $can_id (@candidats) {
	
	my $logical=0;
	chop $can_id;
	#print $can_id,":\t";
	foreach my $line (@orthologs)
	{
		if($line =~ /$can_id/)
		{
			print UNCANDIDATS $line;
			$logical=1;
			#push(@can_ortho,$line);
			last;
		}

	}
	if(!$logical)
	{
		print CANDIDATS $can_id,"\n";
	}


}
close(UNCANDIDATS);
close(CANDIDATS);

#print $candidats[1];
#print $orthologs[1];

exit;
