#! /usr/bin/perl - W

use strict;
use fasta;

my %sequences = extractSequenceFasta(getFileData($ARGV[0]));

my $compteur=0;

open(FILE, ">sup50truecandidates.seq");
open(PETIT,">petitsgenes");

while((my $key, my $value)=each %sequences)
{
	my $taille = length $value;
	if ($taille > 50)
	{
	        print FILE ">",$key,"\n",$value,"\n";
		$compteur++;
	}
	else {print PETIT $key,"\n";}
}
close(FILE);
close(PETIT);

print "On ";
print scalar keys %sequences;
print " genes, $compteur are above 50 aa.";



exit;
